Google Maps Photos API ​
API health status
Healthy Available Limited Mostly unavailable No data
Loading health status...
Get Google maps Photos data, including related metadata, for visual location research and listing QA.
Tags: Google Maps
Parameters ​
| Name | Required | Type | Default | Description |
|---|---|---|---|---|
| data_id | Yes | string | The unique Google Maps location ID (feature ID). You can get this from our Google Maps Search API. | |
| language | No | string | en | Set the language for the results using its two-letter code (e.g., 'en' for English, 'fr' for French). See Google Language. |
| category_id | No | string | The unique ID for a photo category (e.g., 'Interior', 'Exterior'). Found in previous Maps Photos API responses. | |
| next_page_token | No | string | Token for retrieving the next page of photo results. |
Copy Request ​
bash
curl -X GET "https://api.justserpapi.com/api/v1/google/maps/photos?data_id=YOUR_VALUE" \
-H "X-API-Key: YOUR_API_KEY"js
const res = await fetch("https://api.justserpapi.com/api/v1/google/maps/photos?data_id=YOUR_VALUE", {
headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);python
import requests
url = "https://api.justserpapi.com/api/v1/google/maps/photos"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
"data_id": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())php
<?php
$url = "https://api.justserpapi.com/api/v1/google/maps/photos?data_id=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/maps/photos?data_id=YOUR_VALUE", nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}Response ​
Loading the latest response example...
